Ant bug?: nested element 'chainedmapper' is not allowed here.

I'm using IDEA 6.02 #6107 with JDK 1.5.08 and I'm getting these annoying (red) error highlights in the Ant xml editor.

Specifically, the following Ant target (taken from the Ant 1.6.5 reference)

]]>
<globmapper from="a.java" to=".java.bak" casesensitive="no"/>
]]>x is $ gives errors/highlights on the , and ]]> elements. Actually executing the Ant target is OK, however. The error highlights are annoying and I'd like to make them go away.

Is anyone else getting this problem? Is it a known bug? Is there a workaround?

Thanks!

Please sign in to leave a comment.